/**
 * sfun_pcv.h
 *
 * Copyright 2012 The MathWorks, Inc.
 */

#ifndef _SFUN_PCV_H_
#define _SFUN_PCV_H_


// S-Function macros
#define S_FUNCTION_NAME  sfun_pcv
#define S_FUNCTION_LEVEL 2

// S-Function
#include "simstruc.h"


//---------------------------------------------------------------------------
// Macros
//---------------------------------------------------------------------------

//
// Port parameters
//

#define NUM_OF_INPUTS              (5)
#define NUM_OF_OUTPUTS             (1)

#define INPORT_PAUSE               (0)
#define INPORT_PIXEL_POS           (1)
#define INPORT_XYZ                 (2)
#define INPORT_IMAGE               (3)
#define INPORT_VIEW                (4)

#define OUTPORT_IMAGE              (0)


//
// Block parameters
//
#define NUM_OF_PARAMS              (10)

#define WINDOW_SIZE(S)             (int_T)(*(real_T*)(mxGetPr(ssGetSFcnParam(S,0))))
#define FRAME_SIZE(S)              (real_T*)(mxGetPr(ssGetSFcnParam(S,1)))
#define FULL_FRAME_SIZE(S)         (real_T*)(mxGetPr(ssGetSFcnParam(S,2)))
#define BG_COLOR(S)                (real_T*)(mxGetPr(ssGetSFcnParam(S,3))) 
#define LOOK_AT_POINT(S)           (real_T*)(mxGetPr(ssGetSFcnParam(S,4)))
#define SET_VIEW_POINT_BY_INPUT(S) (int_T)(*(real_T*)(mxGetPr(ssGetSFcnParam(S,5))))
#define INITIAL_VIEW_POINT(S)      (real_T*)(mxGetPr(ssGetSFcnParam(S,6)))
#define VIEW_POINT_STEP(S)         (real_T*)(mxGetPr(ssGetSFcnParam(S,7)))
#define DISTORTION_COEFFISIENT(S)  (real_T*)(mxGetPr(ssGetSFcnParam(S,8)))
#define OUTPUT_IMAGE(S)            (int_T)(*(real_T*)(mxGetPr(ssGetSFcnParam(S,9))))

// Check box on/off
#define _OFF                       (0)
#define _ON                        (1)

// Window size
#define NORMAL_SIZE                (1)
#define TRUE_SIZE                  (2)


//
// Typedefs
//
typedef struct
{
    uint8_T nRed;
    uint8_T nGreen;
    uint8_T nBlue;
} RGB24Pixel_T;

typedef struct
{
    int xRes;
    int yRes;
} Res_T;

//
// External functions
//
extern void pcvOutputs(SimStruct *S);
extern void pcvTerminate(SimStruct *S);

#endif
/* [EOF] */
